%global         package_version 1.0.0_master
%global         package_name ovirt-fast-forward-upgrade

%if 0%{?fedora}
%global         with_python3 1
%global         __python_bin %{__python3}
%global         __python_sitelib %{python3_sitelib}
%else
%global         __python_bin %{__python2}
%global         __python_sitelib %{python2_sitelib}
%endif

# Skips check since rhel default repos lack flake8
%if ! 0%{?rhel}
%{!?with_check:%global with_check 1}
%else
%{!?with_check:%global with_check 0}
%endif

# Default to skipping autoreconf.  Distros can change just this one line
# (or provide a command-line override) if they backport any patches that
# touch configure.ac or Makefile.am.
%{!?enable_autotools:%global enable_autotools 0}

%global modname ovirt-fast-forward-upgrade

Name:          ovirt-fast-forward-upgrade
Version:       1.0.0
Release:       1%{?release_suffix}%{?dist}
Summary:       Upgrade tool for RHV environments
License:       GPLv2
Group:         System Environment/Libraries
URL:           http://www.ovirt.org

Source0:       http://resources.ovirt.org/pub/ovirt-master-snapshot/src/%{package_name}/%{package_name}-%{package_version}.tar.gz

BuildArch:     noarch

Requires: subscription-manager
Requires: ovirt-engine-setup-base
Requires: ovirt-engine-setup-plugin-ovirt-engine
Requires: yum
Requires: rpm-python

BuildRequires: python2-devel
BuildRequires: python-setuptools

%if 0%{?with_check}
BuildRequires: python-tools
BuildRequires: python-flake8
%endif

# Autotools BuildRequires
%if 0%{?enable_autotools}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel
BuildRequires: libtool
%endif

%{!?_licensedir:%global license %%doc}

%description
A tool to help users upgrade RHV environments

%prep
%setup -q -n %{name}-%{package_version}

%build
%if 0%{?enable_autotools}
autoreconf -if
%endif

%configure \
	PYTHON="%{__python_bin}"
make %{?_smp_mflags}

%install
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%post
ln -sf %{_sbindir}/ovirt-fast-forward-upgrade %{_sbindir}/engine-fast-forward-upgrade
ln -sf %{_mandir}/man8/ovirt-fast-forward-upgrade.* %{_mandir}/man8/engine-fast-forward-upgrade.8.gz

%files
%doc AUTHORS
%license LICENSE
%{_sbindir}/ovirt-fast-forward-upgrade
%{_mandir}/man8/*

%changelog
* Thu May 31 2018 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0.0-1
- First release of ovirt-fast-forward-upgrade Release 1.0.0-1
